package cn.com.qmth.print.manage.controller;

import javax.annotation.Resource;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.print.manage.service.CheckRecordService;
import cn.com.qmth.print.manage.service.query.RecordQuery;

import com.qmth.boot.api.constant.ApiConstant;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/exam/check")
public class CheckRecordController {

    @Resource
    private CheckRecordService checkRecordService;

    @RequestMapping("/page")
    public Object page(@Validated RecordQuery query) {
        return checkRecordService.pageQuery(query);
    }

    @RequestMapping("/start")
    public Object start(@RequestParam Long examId, @RequestParam String startNumber) {
        return checkRecordService.start(examId, startNumber);
    }

    @RequestMapping("/end")
    public Object end(@RequestParam Long id, @RequestParam Long examId, @RequestParam String endNumber) {
        return checkRecordService.end(id, examId, endNumber);
    }

}
